org.codehaus.plexus.component.configurator.converters.lookup

## Class DefaultConverterLookup

- java.lang.Object
- - org.codehaus.plexus.component.configurator.converters.lookup.DefaultConverterLookup

All Implemented Interfaces:
  ConverterLookup

    public class DefaultConverterLookup
    extends Object
    implements ConverterLookup

### Constructor Summary

Constructors
Constructor and Description
`DefaultConverterLookup()`

### Method Summary

Methods
`ConfigurationConverter` `lookupConverterForType(Class type)`
`void` `registerConverter(ConfigurationConverter converter)`
`protected void` `registerDefaultConverter(ConfigurationConverter converter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultConverterLookup

    public DefaultConverterLookup()

### Method Detail

#### registerConverter

    public void registerConverter(ConfigurationConverter converter)

Specified by:
  `registerConverter` in interface `ConverterLookup`

#### registerDefaultConverter

    protected void registerDefaultConverter(ConfigurationConverter converter)

#### lookupConverterForType

    public ConfigurationConverter lookupConverterForType(Class type)
                                                  throws ComponentConfigurationException

Specified by:
  `lookupConverterForType` in interface `ConverterLookup`
Throws:
  `ComponentConfigurationException`